%define urlver %(echo %{version}|cut -d. -f1,2)
%define oname beautifulsoup4

Summary:	The Screen-Scraper's Friend 
Name:		python-%{oname}
Version:	4.6.3
Release:	1
Group:		Development/Python
License:	MIT
Url:		http://www.crummy.com/software/BeautifulSoup 
Source0:	https://www.crummy.com/software/BeautifulSoup/bs4/download/%{urlver}/beautifulsoup4-%{version}.tar.gz
#  pkgconfig and pythonegg style are more handy
# python2
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(setuptools)
#python3
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)
BuildArch:	noarch 
Requires:	python(abi) = 2.7
Requires:	python-lxml

%description 
The BeautifulSoup class turns arbitrarily bad HTML into a tree-like 
nested tag-soup list of Tag objects and text snippets. A Tag object 
corresponds to an HTML tag.  It knows about the HTML tag's attributes, 
and contains a representation of everything contained between the 
original tag and its closing tag (if any). It's easy to extract Tags 
that meet certain criteria. 

%files
%doc python/*.txt
%{py_puresitedir}/bs4
%{py_puresitedir}/beautifulsoup4*.egg-info

#------------------------------------------------------------------

%package -n python3-%{oname}
Summary:	The Screen-Scraper's Friend 
Group:		Development/Python
Requires:	python(abi) = %{py3_ver}
Requires:	python3-lxml

%description -n python3-%{oname}
The BeautifulSoup class turns arbitrarily bad HTML into a tree-like 
nested tag-soup list of Tag objects and text snippets. A Tag object 
corresponds to an HTML tag.  It knows about the HTML tag's attributes, 
and contains a representation of everything contained between the 
original tag and its closing tag (if any). It's easy to extract Tags 
that meet certain criteria. 

%files -n python3-%{oname}
%doc python3/*.txt
%{py3_puresitedir}/bs4
%{py3_puresitedir}/beautifulsoup4*.egg-info

#------------------------------------------------------------------

%prep
%setup -q -c
mv %{oname}-%{version} python
cp -r python python3

%build
pushd python
%py_build
popd

pushd python3
%py3_build
popd

%install 
pushd python
%py_install
iconv -f iso8859-1 -t utf-8 AUTHORS.txt > AUTHORS.txt.conv \
	&& mv -f AUTHORS.txt.conv AUTHORS.txt
popd

pushd python3
%py3_install
iconv -f iso8859-1 -t utf-8 AUTHORS.txt > AUTHORS.txt.conv \
	&& mv -f AUTHORS.txt.conv AUTHORS.txt
popd 

%check
# scam for some tests failed in py3
pushd python
python -m unittest discover -s bs4 || :
popd 

pushd python3
python3 -m unittest discover -s bs4 || :
popd

%changelog
